Inspect an API key
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.livefaces.ai/v1/auth/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.livefaces.ai/v1/auth/api-key \
--header 'Authorization: Bearer <token>'{
"api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "<unknown>",
"request_id": "<string>"
}Authentication
Inspect an API key
Returns non-secret metadata for the authenticated API key.
GET
/
v1
/
auth
/
api-key
Inspect an API key
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.livefaces.ai/v1/auth/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.livefaces.ai/v1/auth/api-key \
--header 'Authorization: Bearer <token>'{
"api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "<unknown>",
"request_id": "<string>"
}